<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/process_summary_link/init.jsp" %>

<liferay-portlet:renderURL portletName="<%= ExportImportPortletKeys.EXPORT_IMPORT %>" var="processSummaryURL" windowState="<%= LiferayWindowState.POP_UP.toString() %>">
	<portlet:param name="mvcRenderCommandName" value="/export_import/view_process_summary" />
	<portlet:param name="backgroundTaskId" value="<%= String.valueOf(backgroundTask.getBackgroundTaskId()) %>" />
</liferay-portlet:renderURL>

<%
BackgroundTaskDisplay backgroundTaskDisplay = BackgroundTaskDisplayFactoryUtil.getBackgroundTaskDisplay(backgroundTask);

String taglibOnClick = liferayPortletResponse.getNamespace() + "showProcessSummary(" + String.valueOf(backgroundTask.getBackgroundTaskId()) + ", '" + HtmlUtil.escapeJS(backgroundTaskDisplay.getDisplayName(request)) + "', '" + HtmlUtil.escapeJS(processSummaryURL) + "');";
%>

<liferay-ui:icon
	message="summary"
	onClick="<%= taglibOnClick %>"
	url="javascript:void(0);"
/>

<aui:script>
	function <portlet:namespace />showProcessSummary(
		backgroundTaskId,
		backgroundTaskName,
		processSummaryURL
	) {
		Liferay.Util.openWindow({
			dialog: {
				destroyOnHide: true,
			},
			id: '<portlet:namespace />showSummary_' + backgroundTaskId,
			title: backgroundTaskName,
			uri:
				processSummaryURL +
				'&<portlet:namespace />backgroundTaskId=' +
				backgroundTaskId,
		});
	}
</aui:script>