<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/radio/init.jsp" %>

<div class="custom-control <%= inlineString %> custom-radio">
	<label>
		<input
			<%= checkedString %>
			class="custom-control-input"
			data-qa-id="<%= dataQAID %>"
			<%= disabledString %>
			id="<%= HtmlUtil.escape(domId) %>"
			name="<%= HtmlUtil.escape(domName) %>"
			type="radio"
			value="<%= HtmlUtil.escape(value) %>"
		>

		<span class="custom-control-label">
			<span class="custom-control-label-text">
				<%= HtmlUtil.escape(label) %><%= separator %>

				<liferay-staging:popover
					id="<%= popoverName %>"
					text="<%= popoverText %>"
					title="<%= label %>"
				/>

				<c:if test="<%= Validator.isNotNull(description) %>">
					<span class="staging-taglib-checkbox-description"><%= HtmlUtil.escape(description) %></span>
				</c:if>
			</span>
		</span>
	</label>
</div>